{% extends "controler.html" %}
{% block title %}Pipeline Visualization API{% endblock %}
    
{% block DGINN %}

   
    <form id="uploadDGINN" action="/upload_dginn" method="POST" enctype="multipart/form-data" onsubmit="uploadFormDGINN(event)">

        <ul class="files-selection">
            <li>
                <label for="fasta_file">Select a Fasta File</label>
                <input id="fasta_file" name="fasta_file" type="file" accept=".fasta"/>
            </li>
            <li>
                <label for="tree_file">Select a geneTree File</label>
                <input id="tree_file" name="tree_file" type="file" accept=".tree"/>
            </li>
            <li>
                <label for="sptree_file">Select a spTree File</label>
                <input id="sptree_file" name="sptree_file" type="file" accept=".tree"/>
            </li>
            <li>
                <label class="switch" >
                    <input type="checkbox"  id="duplication" name="duplication" value="duplication" > 
                    <span class="slider round"></span>
                </label>
                <label class="form-check-label checkbox-label" for="duplication">Duplication</label>
            </li>

            <li>
                <label class="switch" >
                    <input type="checkbox"  id="recombination" name="recombination" value="recombination" > 
                    <span class="slider round"></span>
                </label>
                <label class="form-check-label checkbox-label" for="recombination" >Recombination</label>
            </li>

            <li>
                <label class="switch" >
                    <input type="checkbox" checked id="positiveSelection" name="positiveSelection" value="positiveSelection" > 
                    <span class="slider round"></span>
                </label>
                <label class="form-check-label checkbox-label" for="positiveSelection">Positive Selection</label>
            </li>
            <li>
                <label for="api-key">NBCI API key:</label>
                <p>Step of BLAST, you can add your api key of NBCI.</p>
                <input type="text" id="api-key" name="api-key"><br><br>
            </li>
            <li>
                <fieldset>
                    <legend>Alignment:</legend>
                    <div>
                        <input type="checkbox" checked id="nt" name="nt">
                        <label for="nt">mafft</label>
                    </div>
                    <div>
                        <input type="checkbox" checked id="macse" name="macse">
                        <label for="macse">macse</label>
                    </div>
                    <div>
                      <input type="checkbox" id="prank" name="prank">
                      <label for="prank">prank</label>
                    </div>
                </fieldset>
            </li>

        </ul>
        <div id="bottom">
            <input type="submit" value="Run" />
            <input type="submit" value="Stop" />
        </div>

    </form>

    <div id="progressbar" class="progress hidden">
        <div class="bar"></div>
    </div>

{% endblock %}

{% block result %} 
<div class="main-content">   
    <h2>Results history for DGINN pipeline execution</h2>
    <span>This page display the DGINN result files.</span>

    <div id="result">
        <select name="instances-select" id="instances-select" onchange="resultChanged(event.target.value)">

        </select>

        <div id="table">
            <table id="myTable" class="display">
                <thead>
                    <tr>
                        <th id="files">Files</th>
                        <th id="actions">Actions</th>
                        <th id="classify">Classify</th>
                    </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </div>


    </div>
</div>
<div class="code-wrapper">
    <pre id="output">
        
    </pre>
</div>



{% endblock %}


